Subject: Re: Please pull upstream branch of linux-2.6-PQ.git...

From: Vitaly Bordug <[email-masked]>
Date: Wed, 4 Oct 2006 02:24:05 +0400

On Tue, 03 Oct 2006 15:37:51 -0400
Jerry Van Baren wrote:

> Vitaly Bordug wrote:
> > Paul,
> > 
> > Please do a pull from
> > 
> > git://git.kernel.org/pub/scm/linux/kernel/git/vitb/linux-2.6-PQ.git,
> > upstream branch.
> > 
> > Signed-off-by: Vitaly Bordug <[email-masked]>
> > 
> > 
> > To receive the updated 8272 addition to the  arch/powerpc.
> > All the comments have been addressed, and it has a minor bugfix
> > addressed too in order to make both pq2 and pq3 co-exist happily in
> > fsl_soc.c. CPM PIC now has "compatible" property that could be
> > "CPM2" or "CPM1" for PQ/8xx.
> > 
> > I think it should go to rc1, because relevant stuff in ppc/ is more
> > or less broken now, with new irq engine. 
> 
> Hi Vitaly,
> 
> I've been following your -PQ progress with a lot of interest.  I have
> a PQ2FADS board (8272) and your changes should apply to it too.  I
> pulled a copy of your repository last week and had a couple of minor
> build errors.  I made a couple of minor fixes and it built OK but I
> didn't run it - I need a compatible boot loader, which leads into my
> question...
> 
> What are you using for booting your 8272ADS board?  I have been using 
> u-boot with the "bd" structure but am looking to switch to the
> flattened OF tree.  I made a half-hearted attempt to switch my u-boot
> build to the flattened OF tree but it didn't work and then I got
> distracted by other things instead of debugging it. :-(
> 

Well I use latest u-boot + OF patches submitted to the u-boot list+ couple of minor fixes on top.
I was about to set up git repo for Wolfgang to pull, meanwhile there are a couple of existing
trees you may want to take a look: on http://www.jdl.com and http://opensource.freescale.com .

Both are holding uboot trees with OF additions, but are targeted to specific platforms apparently (and waiting to be
merged too).

I'll keep you posted while get the stuff available.
--

-Vitaly